/*pagebar可改为自定义名称*/

/*公共样式 字体，行高，字体颜色等*/
.pagebar {
    font-size: 12px;
    font-family: SimSun;
    line-height: 12px;

    color: #222;
}

/*去掉a链接的下划线*/
.pagebar a {
    text-decoration: none;
}

/*消掉最左侧页码区margin-left的5个像素*/
.pagebar .p_pages {
    margin-left: -5px;
}

/*按钮和页码的外观*/
.pagebar .p_fun_d,
.pagebar .p_no_d,
.pagebar .p_fun a,
.pagebar .p_no a {
    border: 1px solid #ccc;
    padding: 0;
    margin: 0px 8px 0px 0px;
    width: 48px;
    height: 48px;
    -height: auto;

    line-height: 48px;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: middle;
    border-radius: 8px;
    border: 0 none;
    font-size: 16px;
    font-family: PingFang SC, Microsoft YaHei, Helvetica Neue, Helvetica, Arial, sans-serif;
}

/*文字对齐样式*/
.pagebar .p_t {
    line-height: 12px;
    margin: 0px;
    padding: 0px;
    display: inline-block;
    vertical-align: middle;
    display: none;
}

/*无链接的字体颜色*/
.pagebar .p_fun_d,
.pagebar .p_no_d {
    color: #ccc;
}

.pagebar .p_prev_d,
.pagebar .p_next a {
    /* color: #ccc;
    color: red; */
    font-family: "宋体";
    font-weight: bold;
}

/*链接字体颜色*/
.pagebar .p_fun a,
.pagebar .p_no a {
    color: #222;
}

/*鼠标移上时有链接按钮的外观*/
.pagebar .p_no a:hover,
.pagebar .p_fun a:hover,
.pagebar .p_goto a:hover {
    /* background-color: #f5f5f5; */
    color: #052d96;
}


/*页码省略号...的外观*/
.pagebar .p_dot {
    margin-left: 4px;
    margin-right: -4px;
    color: #222;
}

/*当前页码的外观*/
.pagebar .p_no_d {
    /* border: 1px solid #052d96; */
    color: #fff;
    background-color: #052d96;
}

/*按钮控制*/

/*控制是否显示 "首页" "尾页" */
.pagebar .p_first,
.pagebar .p_first_d,
.pagebar .p_last,
.pagebar .p_last_d {
    display: none;
}

/*控制是否显示 "上页" "下页"*/
.pagebar .p_prev,
.pagebar .p_prev_d.pagebar .p_next,
.pagebar .p_next_d {
    /*display:none;*/
}

/*控制是否显示无链接的 "首页" "上页" "下页" "尾页"*/
.pagebar .p_first_d,
.pagebar .p_prev_d,
.pagebar .p_next_d,
.pagebar .p_last_d {
    /*display:none;*/
}

/*控制是否显示页码*/
.pagebar .p_no,
.pagebar .p_no_d,
.pagebar .p_dot {
    /*display:none;*/
}

/*跳转到页码输入框的外观*/
.pagebar .p_goto input {
    font-family: SimSun;
    font-size: 12px;

    border: 1px solid #aaa;
    height: 22px;
    line-height: 20px;
    box-sizing: border-box;
    vertical-align: middle;

    outline-width: thin;
    outline-color: #258CFF;

    margin: 0px 2px;
    padding: 0px 1px;

    width: 22px;
    text-align: center;
}

/*跳转到页码输入框  鼠标移上及输入时的外框颜色*/
.pagebar .p_goto input:hover,
.pagebar .p_goto input:focus {
    border: 1px solid #258CFF;
}

/*跳转按钮的外观*/
.pagebar .p_goto a {
    border: 1px solid #ccc;
    padding: 5px 6px;
    color: #222;

    margin: 0px;

    height: 24px;
    -height: auto;

    line-height: 12px;
    display: inline-block;
    box-sizing: border-box;
    vertical-align: middle;
}